From fd10425c598f7b3db16521c2709032fd2ea5a396 Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Sun, 28 Jun 2020 09:26:33 +0300
Subject: [PATCH] test-client: Fix compilation without GDK_WINDOWING_WAYLAND

---
 src/tests/test-client.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/tests/test-client.c b/src/tests/test-client.c
index 83a5ce485..80c239310 100644
--- a/src/tests/test-client.c
+++ b/src/tests/test-client.c
@@ -22,7 +22,9 @@
 #include <gio/gunixinputstream.h>
 #include <gtk/gtk.h>
 #include <gdk/gdkx.h>
+#ifdef GDK_WINDOWING_WAYLAND
 #include <gdk/gdkwayland.h>
+#endif
 #include <stdarg.h>
 #include <stdlib.h>
 #include <string.h>
@@ -46,8 +48,10 @@ window_export_handle_cb (GdkWindow  *window,
 {
   GdkWindow *gdk_window = gtk_widget_get_window (GTK_WIDGET (user_data));
 
+#ifdef GDK_WINDOWING_WAYLAND
   if (!gdk_wayland_window_set_transient_for_exported (gdk_window,
                                                       (gchar *) handle_str))
+#endif
     g_print ("Fail to set transient_for exported window handle %s", handle_str);
   gdk_window_set_modal_hint (gdk_window, TRUE);
 }
@@ -377,11 +381,13 @@ process_line (const char *line)
           goto out;
         }
 
+#ifdef GDK_WINDOWING_WAYLAND
       GdkWindow *parent_gdk_window = gtk_widget_get_window (parent_window);
       if (!gdk_wayland_window_export_handle (parent_gdk_window,
                                              window_export_handle_cb,
                                              window,
                                              NULL))
+#endif
         g_print ("Fail to export handle for window id %s", argv[2]);
     }
   else if (strcmp (argv[0], "accept_focus") == 0)
-- 
2.20.1

